<?php
/**
 * Created by JetBrains PhpStorm.
 * User: andrew
 * Date: 5/4/12
 * Time: 5:29 PM
 * To change this template use File | Settings | File Templates.
 */
class FileHelper
{


    /**
     * Removes directory recursively
     *
     * @param string $path Path to the directory.
     *
     * @return bool true on success or false on failure.
     */
    public static function rmdirr($path)
    {
        $iterator = new RecursiveIteratorIterator(
            new RecursiveDirectoryIterator($path, RecursiveDirectoryIterator::SKIP_DOTS), RecursiveIteratorIterator::CHILD_FIRST
        );
        foreach ($iterator as $file) {
            if ($file->isDir()) {
                self::rmdirr($file->getPathname());
            } else {
                unlink($file->getPathname());
            }
        }
        return rmdir($path);
    }
}
