<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 */
?>
<div>
    <?php echo LanguageModule::t('Current language')?>:
    <?php echo Yii::app()->language?>
</div>
<?php if (!empty($languages)): ?>
<ul>
    <?php foreach ($languages as $language): ?>
    <li>
        <?php echo CHtml::link($language, Yii::app()->createUrl('language/language/change', array('language' => $language, 'return_url' => Yii::app()->request->getRequestUri())))?>
    </li>
    <?php endforeach; ?>
</ul>
<?php endif; ?>