<?php

class m121114_154923_remember extends CDbMigration
{
	public function safeUp()
	{
            $this->createTable('{{remembered_pages}}', array(
                'id' => 'pk',
                'collection_id' => 'string',
                'page_id' => 'string',
                'url' => 'text',
                'additional' => 'text',
                'image' => 'string', 
                'title' => 'string',
                'created' => 'timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP',
            ));
            $this->createIndex('remembered_pages_idx', '{{remembered_pages}}', 'collection_id');
	}

	public function safeDown()
	{
            $this->dropTable('{{remembered_pages}}');
	}

}
