<?php
/**
 * Nice URLs
 */
class NiceUrlModule extends CWebModule
{
    public $enabled = false;
    public $allowDots = false;
    /**
     * @var array|string A single regex or an array of regexes to use to check
     * for media-elements on the file-name which should _not_ be interpreted
     * as HTML/Pages.
     * When it's a single string, it'll be wrapped in an array before usage.
     */
    public $mediaPatterns = array(
        '/\.(jpe?g|gif|png|bmp|svg)$/i'
    );

    /**
     * @return void
     */
    public function init()
    {
        parent::init();

        $this->setImport(
            array(
                'niceurl.components.*',
                'site.custom.modules.niceurl.components.*',
            )
        );
    }
}
