<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 * Widget for view navigate panel
 */
class ShoppingCartNavigateWidget extends BaseJuiWidget
{
    /**
     * @var integer the total steps count
     */
    public $stepsCount;
    /**
     * @var integer the number of current step
     */
    public $step;
    /**
     * Override base init. For skipping scripts and css init.
     *
     * @return void
     */
    public function init()
    {

    }
    /**
     * Render ShoppingCartNavigateWidget view
     *
     * @return void
     */
    public function run()
    {
        $this->render('ShoppingCartNavigateWidget', array('stepsCount'=>$this->stepsCount,'step'=>$this->step));
    }
}

