<?php
/**
 *
 */


Yii::app()->clientScript->registerCssFile(Yii::app()->getModule('updates')->getAssetsUrl() . '/css/styles.css')
?>
<div class="updates-release-create">
    <?php $form = $this->beginWidget('CActiveForm', array(
        'id' => 'release-form',
//        'action' => '',
    )
)?>
    <div class="info">
        <?php echo UpdatesModule::t('You will create {version} version of release.', array('{version}' => Yii::app()->getModule('updates')->currentVersion))?>
    </div>

    <?php echo $form->errorSummary($model) ?>

    <div class="row">
        <?php echo $form->labelEx($model, 'invitationMessage')?>
        <?php echo $form->textArea($model, 'invitationMessage', array('rows' => 10, 'cols' => 40))?>
        <?php echo $form->error($model, 'invitationMessage'); ?>
    </div>

    <div class="row">
        <?php echo $form->labelEx($model, 'finishMessage')?>
        <?php echo $form->textArea($model, 'finishMessage', array('rows' => 10, 'cols' => 40))?>
        <?php echo $form->error($model, 'finishMessage'); ?>
    </div>

    <div class="row">
        <?php echo CHtml::submitButton(UpdatesModule::t('Create'))?>
    </div>
    <?php $this->endWidget() ?>
</div>
