<?php
Yii::app()->language = 'en';
Yii::app()->user->setState('language', 'en');
?>
<!DOCTYPE html>

<!--[if IE 7]>                  <html class="ie7 no-js" lang="en">     <![endif]-->
<!--[if lte IE 8]>              <html class="ie8 no-js" lang="en">     <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--> <html class="not-ie no-js" lang="en">  <!--<![endif]-->

<head>

<!-- force browser to use newest available IE hopefully, fight compatibility mode -->
<meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1" />

<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<meta http-equiv="content-language" content="en" />

<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
<meta name="description" content=" User Administration" />
<meta name="author" content="Node Admin" />

<!--noindexstart-->

<title>User Administration Gentics Portal.Node Demo</title>

<!--[if !lte IE 6]><!-->
<?php if (isset( $_SERVER['HTTPS'] ) && $_SERVER['HTTPS']!="on") { ?>
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:400,600,300,800,700,400italic|PT+Serif:400,400italic" />
<?php } else { ?>
<link rel="stylesheet" href="http://fonts.googleapis.com/css?family=Open+Sans:400,600,300,800,700,400italic|PT+Serif:400,400italic" />
<?php } ?>


<link rel="stylesheet" href="/static/jquery-ui.1.8.17.css" media="screen" />
<link rel="stylesheet" href="/static/styles.v6.css" media="screen,print" />
<link rel="stylesheet" href="/static/media_queries.css" media="screen" />
<link rel="stylesheet" href="/static/fancybox.min.css" media="screen" />
<!-- not necessary if you do not use the components -->



<link rel="stylesheet" href="/static/custom.portal.css" media="screen,print" />
<link rel="stylesheet" href="/static/print.css" media="print" />

<!--<![endif]-->

<!-- HTML5 Shiv + detect touch events -->
<script src="/static/modernizr.custom.js"></script>

<!-- RSS -->
<link href="http://feeds.feedburner.com/GPNPHPRSSFEEDEN" title="Gentics Portal.Node RSS Feed" type="application/rss+xml" rel="alternate" />

<!--noindexend-->
<!--noindexstart-->

<link rel="stylesheet" href="/static/core.css" media="screen" />
<link rel="stylesheet" href="/static/default.css" media="screen" />
<link rel="stylesheet" href="/static/dhtmlxtree.css" media="screen" />
<link rel="stylesheet" href="/static/style.css" media="screen" />

<link rel="stylesheet" href="/static/CSS_Admin.en.css" media="screen" />

</head>

<body>
        
<section id="content" class="container clearfix">

    <header class="page-header">

        <h1 class="page-title"><!--noindexstart-->
<!-- currently all portal modules are excluded from search indexing -->
<?php 

echo CHtml::encode($this->pageTitle);

?>
<!--noindexend-->
<!--node page.name:editable--></h1>
                
        <!--node gportal_breadcrumb-->
                <!--node gportal_admin_breadcrumb-->
        <!--noindexstart-->
<!-- currently all portal modules are excluded from search indexing -->
<?php 

$this->widget('zii.widgets.CMenu', array(
'itemCssClass' => 'breadcrumb',
                                               'items' => array(
                                                                array('url' => '/user/admin/', 'label' => Yii::app()->getModule('user')->t('Manage Users'), 'visible' => Yii::app()->user->checkAccess('Admin')),
                                                                array('url' => '/user/profileField/admin', 'label' => Yii::app()->getModule('user')->t('Manage Profile Fields'), 'visible' => Yii::app()->user->checkAccess('Admin')),
                                                                array('url' => '/user/admin/managePersonalisation/', 'label' => Yii::app()->getModule('user')->t('Personalisation Attributes'), 'visible' => Yii::app()->user->checkAccess('Admin')),
                                                                array('url' => '/user/assignment/view', 'label' => Yii::app()->getModule('user')->t('Assignments'), 'visible' => Yii::app()->user->checkAccess('Admin')),
                                                                array('url' => '/rights/assignment', 'label' => Yii::app()->getModule('user')->t('Rights'), 'visible' => Yii::app()->user->checkAccess('Admin')),
                                                                array('url' => '/settings/manage', 'label' => Yii::app()->getModule('user')->t('Settings'), 'visible' => Yii::app()->user->checkAccess('Admin')),
                                                                array('url' => '/bulk/bulk', 'label' => Yii::app()->getModule('user')->t('Bulk'), 'visible' => Yii::app()->user->checkAccess('Admin')),
                                                                /**array('url' => '/updates/release/create', 'label' => Yii::app()->getModule('user')->t('Create release'), 'visible' => Yii::app()->user->checkAccess('Admin')),
                                                                array('url' => '/updates/release/updateStep1', 'label' => Yii::app()->getModule('user')->t('Update'), 'visible' => Yii::app()->user->checkAccess('Admin')),**/
                                                                ),
                                               )); 

/**

                                                                array('url' => Yii::app()->getModule('user')->loginUrl, 'label' => Yii::app()->getModule('user')->t("Login"), 'visible' => Yii::app()->user->isGuest),
                                                                array('url' => Yii::app()->getModule('user')->registrationUrl, 'label' => Yii::app()->getModule('user')->t("Register"), 'visible' => Yii::app()->user->isGuest),
                                                                array('url' => Yii::app()->getModule('user')->profileUrl, 'label' => Yii::app()->getModule('user')->t("Profile"), 'visible' => !Yii::app()->user->isGuest),
                                                                array('url' => Yii::app()->getModule('user')->logoutUrl, 'label' => Yii::app()->getModule('user')->t("Logout") . ' (' . Yii::app()->user->name . ')', 'visible' => !Yii::app()->user->isGuest),
**/

?>
<!--noindexend-->

        <!--noindexend-->
                
        </header><!-- end .page-header -->
    
        <div>

        <!--noindexstart-->
<!-- currently all portal modules are excluded from search indexing -->
<?php 

echo $content;

?>
<!--noindexend-->

        
        </div>
        
</section><!-- end #content -->
    
<footer id="footer" class="clearfix">
  <div class="container">
    <div class="three-fourth">
      <nav id="footer-nav" class="clearfix">
        <ul>
        <li><a href="http://www.gentics.com" target="_blank">Gentics Software GmbH</a></li>
        </ul>
        <!--node gportal_sitemap-->
      </nav><!-- end #footer-nav -->

      <ul class="contact-info">
        <li class="address"><a href="https://maps.google.com/maps?q=%22gentics%22&hl=en&ll=48.216066,16.370659&spn=0.009022,0.022316&sll=48.214965,16.370659&sspn=0.009022,0.022316&hq=%22gentics%22&t=m&z=16" target="_blank">Gonzagagasse 11/25, A-1010 Vienna/Austria</a></li>
        <li class="phone"><a href="call:+43171099040">+43171099040</a></li>
        <li class="email"><a href="mailto:demo@gentics.com">demo@gentics.com</a></li>
      </ul><!-- end .contact-info -->
      
    </div><!-- end .three-fourth -->
    <div class="one-fourth last">
      <span class="title">STAY CONNECTED</span>
            <ul class="social-links">
                <li class="twitter"><a href="http://twitter.com/gentics" target="_blank">Twitter</a></li>
                <li class="facebook"><a href="http://facebook.com/gentics.cms" target="_blank">Facebook</a></li>
        <li class="digg"><a href="http://digg.com/search?submit=&q=%22gentics%22+cms" target="_blank">Digg</a></li>
        <li class="vimeo"><a href="http://vimeo.com/user1446715" target="_blank">Vimeo</a></li>
        <li class="youtube"><a href="http://www.youtube.com/user/genticsvideos" target="_blank">YouTube</a></li>
                <li class="skype"><a href="call://cqeb--">Skype</a></li>
      </ul><!-- end .social-links -->

    </div><!-- end .one-fourth.last -->
  </div><!-- end .container -->
</footer><!-- end #footer -->

<footer id="footer-bottom" class="clearfix">
  <div class="container">
    <ul>
      <li>&copy; by Gentics Software GmbH</li>
    </ul>
  </div><!-- end .container -->
</footer><!-- end #footer-bottom -->

<script src="/static/jquery-ui-1.8.23.custom.min.js"></script>
<script src="/static/jquery-ui-i18n.min.js"></script>

  <!--[if lt IE 9]> <script src="/static/selectivizr-and-extra-selectors.min.js"></script> <![endif]-->

  <script src="/static/respond1.min.js"></script>
  <script src="/static/jquery.easing-1.3.min.js"></script>
  <script src="/static/jquery.fancybox.min.js"></script>
  <script src="/static/jquery.jcarousel.min.js"></script>
  <script src="/static/jquery.cycle.all.min.js"></script>
  <script src="/static/jquery.touchSwipe.min.js"></script>
  <script src="/static/jquery.json.min.js"></script>
  <script src="/static/jquery.yiiactiveform.js"></script>
  <script src="/static/custom.portal.js"></script>





<!--<![endif]-->


        <script src="/static/dhtmlTreeEditor.js"></script>
        <script src="/static/dhtmlTreeUserAssignment.js"></script>
        <script src="/static/dhtmlxcommon.js"></script>
        <script src="/static/dhtmlxtree_a.js"></script>
        <script src="/static/dhtmlxtree_json.js"></script>
        <script src="/static/dhtmlxtree_xw.js"></script>
        <script src="/static/jquery.ba-bbq.min.js"></script>
        <script src="/static/jquery.yii.js"></script>
        <script src="/static/jquery.yiigridview.js"></script>
        <script src="/static/rights.js"></script>



<!--noindexend-->

</body>
</html>
