

<?php

$cms_server = "http://cms.gportal-dev.gentics.com";

$HEAD = <<<EOE
<html>
<head>
<style>
body{
  font-family:Arial, Helvetica, sans-serif; 
  font-size:13px;
}
.info, .success, .warning, .error, .validation {
  width: 550px;
  border: 1px solid;
  margin: 10px 0px;
  padding:15px 10px 15px 50px;
  background-repeat: no-repeat;
  background-position: 10px center;
}
.info {
  color: #00529B;
  background-color: #BDE5F8;
  background-image: url('info.png');
}
.success {
  color: #4F8A10;
  background-color: #DFF2BF;
  background-image:url('success.png');
}
.warning {
  color: #9F6000;
  background-color: #FEEFB3;
  background-image: url('warning.png');
}
.error {
  color: #D8000C;
  background-color: #FFBABA;
  background-image: url('error.png');
}
</style>
EOE;

// get 2 values
$username = $_POST['username'];
$password = $_POST['password'];

//$DEBUGx = true;
$DEBUGx = false;

// standard login procedure
if (isset($username) && isset($password)) {
    $optional_headers = 'Content-Type: application/json; charset=utf-8
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.13) Gecko/20080311 Firefox/2.0.0.13';
    $params = array('http' => array(
                  'method' => 'POST',
                  'content' => json_encode(array(
                    "login" => $username,
                    "password" => $password
                  ))
    ));

    if ($optional_headers !== null) {
        $params['http']['header'] = $optional_headers;
    }
 
    $ctx = stream_context_create($params);

    $fp = file_get_contents($cms_server.'/CNPortletapp/rest/auth/login',FALSE,$ctx);

    $headers = $http_response_header;

    foreach ($headers as $header) {
      if (strpos($header,"Set-Cookie: ") !== FALSE) {
        $cookie = substr($header,(strpos($header,"=")+1),strpos($header,";")-(strpos($header,"=")+1));
      }
    }
    $data = json_decode($fp);

    if (isset($data->sid) && isset($cookie)) {
      $sid = $data->sid;

      //set cookie
      setcookie ("GCN_SESSION_SECRET", $cookie, time()+60*60*24, '/');

      echo $HEAD;

      $optional_headers = 'Content-Type: application/json; charset=utf-8
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.13) Gecko/20080311 Firefox/2.0.0.13
Cookie: GCN_SESSION_SECRET='.$cookie;

      $params = array('http' => array(
              'method' => 'GET'
      ));

      if ($optional_headers !== null) {
          $params['http']['header'] = $optional_headers;
      }
    
      $ctx2 = stream_context_create($params);     

      $fp2 = file_get_contents($cms_server.'/CNPortletapp/rest/user/me?sid='.$sid,FALSE,$ctx2);

      $datame = json_decode($fp2);
  
      foreach($datame as $element) {
        if (isset($element->description)) {
            $description = $element->description;
        }
      }

      if (isset($description) && $description != '') {
        $fp3 = file_get_contents($cms_server.'/CNPortletapp/rest/folder/load/'.$description.'?sid='.$sid,FALSE,$ctx2);
        $datafolder = json_decode($fp3);
          
        foreach($datafolder as $element) {
            if (isset($element->startPageId)) {
                    $startPageId = $element->startPageId;
            }
        }

        if (isset($startPageId) && $startPageId != '') {
/*          
            $fp4 = file_get_contents($cms_server.'/CNPortletapp/rest/page/load/'.$startPageId.'?sid='.$sid,FALSE,$ctx2);
    
            $datapage = json_decode($fp4);

            foreach($datapage as $element){
                if(isset($element->liveUrl)){
                        $liveUrl = $element->liveUrl;
                }

            }
            if(isset($liveUrl) && $lieveUrl != '') {
                echo '<meta http-equiv="refresh" content=';
                echo '"0; URL=' . $liveUrl . '?sid='. $sid.'">';
            }
            else{
                echo '<div class="error"></div>';
            }
*/
            echo '<meta http-equiv="refresh" content='; 
            echo '"0; URL='.$cms_server.'/CNPortletapp/alohapage?realid='.$startPageId.'&language=2&real=edit&nodeid=5&sid='. $sid.'">';
        }
        else {
            echo '<div class="error">No folder or startpage-overiew for your user is found</div>';
        }
      }
      else {
        echo '<div class="error">No folder-ID for your user is specified</div>';
      }

    }
    else {
      echo $HEAD;
      echo '<div class="error">Login unsuccessful, check username and/or password</div>';
    }

    if ( $DEBUGx == true ) {
      echo $username . "<br>";
      echo $password . "<br>";
      
      echo $sid . "<br>";
      echo $cookie . "<br>";
      echo $description . "<br>";
      echo '<a href=".Node/?sid='.$data->sid.'&time=1393236291&do=100">Link to CMS</a>' . "<br>";
      echo $startPageId . "<br>";
      echo $liveUrl . "<br>";
  } 
}
else {
  echo $HEAD;
  echo '<div class="error">Username or password not provided.</div>';
}
?>